This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697600 - Providing native systemd file for upcoming F15 Feature Systemd
Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-04-18 13:57 EDT by Jóhann B. Guðmundsson
Modified: 2011-08-12 09:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-12 09:40:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Native systemd service file for speech dispatcher (221 bytes, text/plain)
2011-04-18 13:57 EDT, Jóhann B. Guðmundsson
no flags Details
Spec file patch for speech-dispatcher (2.04 KB, patch)
2011-07-26 15:07 EDT, Jóhann B. Guðmundsson
no flags Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2011-04-18 13:57:14 EDT
Created attachment 492971 [details]
Native systemd service file for speech dispatcher

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2011-04-26 13:35:40 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 3 Jóhann B. Guðmundsson 2011-07-18 05:37:07 EDT
I'm going to start initiating non-responsive packaging policy 

Maintainer not listed on vacation and no response et all from maintainer on
this bug report note this component is part of default live cd thus will end up
blocking the alpha release.. 

http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 4 Jóhann B. Guðmundsson 2011-07-26 15:07:48 EDT
Created attachment 515348 [details]
Spec file patch for speech-dispatcher
Comment 5 Toshio Ernie Kuratomi 2011-07-26 16:10:03 EDT
Committed and built for rawhide with the following changes talked about on irc:

Remove line that autostarts the service in the trigger.

Change the version for the trigger to the last version

http://koji.fedoraproject.org/koji/taskinfo?taskID=3232340

Could do with testing.
Comment 6 Peter Robinson 2011-08-12 09:40:24 EDT
In F-16

Note You need to log in before you can comment on or make changes to this bug.